Skip to content

getAttributeCategoryWithValues

READ

Get attribute category with values.

POST /api/v1/account/getAttributeCategoryWithValues
curl -X POST '<your-host>/api/v1/account/getAttributeCategoryWithValues' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "categoryId": "string"
  }'
Response
{
  "id": "string",
  "name": "string",
  "emoji": "string",
  "companyId": "string",
  "public": true,
  "userAttribute": [
    {
      "id": "string",
      "name": "string",
      "listOptions": [
        "string"
      ],
      "canSelfManage": true,
      "attributeDataType": {
        "id": 0,
        "isBoolean": true,
        "isDate": true,
        "isNumeric": true,
        "isText": true,
        "isUser": true,
        "isFile": true
      },
      "userAttributeValue": [
        {
          "id": "string",
          "valueBoolean": true,
          "valueDate": "string",
          "valueNumeric": 0,
          "valueText": "string",
          "valueUser": "string",
          "valueFile": "string"
        }
      ]
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "categoryId": {
      "type": "string"
    }
  },
  "required": [
    "categoryId"
  ]
}